> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Allowlist Items

> List Allowlist Items



## OpenAPI

````yaml GET /v2/allowlist-items
openapi: 3.1.0
info:
  title: Frate Returns API
  version: 0.1.0
servers:
  - url: /api
security: []
paths:
  /v2/allowlist-items:
    get:
      tags:
        - allowlist-items
      summary: List Allowlist Items
      description: List AllowlistItems
      operationId: list_allowlist_items_v2_allowlist_items_get
      parameters:
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Before
        - name: order
          in: query
          required: false
          schema:
            enum:
              - DESC
              - ASC
            type: string
            default: DESC
            title: Order
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 100
            title: Limit
        - name: x-frate-api-token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Frate-Api-Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllowlistItemListSerializer'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AllowlistItemListSerializer:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AllowlistItemSerializer'
          type: array
          title: Items
        page_info:
          $ref: '#/components/schemas/PageInfoSerializer'
      type: object
      required:
        - items
        - page_info
      title: AllowlistItemList
      description: AllowlistItemList Serializer
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AllowlistItemSerializer:
      properties:
        id:
          type: integer
          title: Id
        value:
          type: string
          title: Value
        description:
          type: string
          title: Description
          default: ''
        created_at:
          type: string
          title: Created At
        allowed_actions:
          anyOf:
            - $ref: '#/components/schemas/AllowedActionsSerializer'
            - type: 'null'
      type: object
      required:
        - id
        - value
        - created_at
        - allowed_actions
      title: AllowlistItem
      description: AllowlistItem Serializer
    PageInfoSerializer:
      properties:
        has_prev_page:
          type: boolean
          title: Has Prev Page
        has_next_page:
          type: boolean
          title: Has Next Page
        start_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Cursor
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: End Cursor
        start_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Start Index
        end_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: End Index
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
      type: object
      required:
        - has_prev_page
        - has_next_page
      title: PageInfo
      description: PageInfo for cursor-paginated list responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AllowedActionsSerializer:
      properties:
        actions:
          items:
            $ref: '#/components/schemas/AllowedActionsEnum'
          type: array
          title: Actions
          default:
            - EXCHANGE
            - REFUND_ORIGINAL_PAYMENT_METHOD
            - REFUND_STORE_CREDIT
      type: object
      title: AllowedActionsSerializer
    AllowedActionsEnum:
      type: string
      enum:
        - EXCHANGE
        - REFUND_ORIGINAL_PAYMENT_METHOD
        - REFUND_STORE_CREDIT
      title: AllowedActionsEnum
      description: Allowlist item allowed actions enum.

````